﻿//---------------------------------------------------------------------
// Copyright (c) 2007 Digerati Technologies, LLC.  All Rights Reserved.
//
// Release under the Microsoft Public License (Ms-PL).
//---------------------------------------------------------------------

using System.Collections.Generic;

namespace DigeratiTech.NDiagnostics
{
    public class TaskGroup
    {
        #region Private Attributes...

        private List<DiagnosticTask> _tasks = new List<DiagnosticTask>();

        #endregion

        #region Properties...

        public string Name { get; set; }

        public List<DiagnosticTask> Tasks
        {
            get { return _tasks; }
        }

        #endregion

        #region Constructors...

        public TaskGroup(string name)
        {
            Name = name;
        }

        #endregion
    }
}
